View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
16502Bug reportsQuestion editorpublic2020-12-30 23:17
Reportergabrieljenik Assigned To 
PrioritynoneSeverityminor 
Status newResolutionopen 
Product Version4.3.4 
Summary16502: Deprecated code in Database controller
DescriptionBy reviewing 16454 we identified these deprecated methos in the Database controller.
actionInsertCopyQuestion()
actionUpdateQuestion()
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)4.3.0
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Relationships

related to 16454 closedgabrieljenik Sometimes, question_order is assigned from survey_id 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2020-07-17 08:08

developer   ~58981

Maybe wait for HTML editor revert to 3.X ?
cdorin

cdorin

2020-12-23 09:22

manager   ~61064

Can you check now in 4.4.0 RC1 ?
gabrieljenik

gabrieljenik

2020-12-29 22:42

manager   ~61312

Yes, They are still there, unused. Will rmove.
gabrieljenik

gabrieljenik

2020-12-30 23:17

manager   ~61380

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1700

Issue History

Date Modified Username Field Change
2020-07-16 23:44 gabrieljenik New Issue
2020-07-16 23:44 gabrieljenik Relationship added related to 16454
2020-07-17 08:08 DenisChenu Note Added: 58981
2020-12-23 09:22 cdorin Note Added: 61064
2020-12-29 22:42 gabrieljenik Note Added: 61312
2020-12-30 23:17 gabrieljenik Note Added: 61380